Quotes
Reject Quote
Reject a quote stage (change status to rejected).
PUT
/
api
/
v1
/
quotes
/
{quote_id}
/
reject
Reject Quote
curl --request PUT \
--url https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/reject \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/reject"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/api/v1/quotes/{quote_id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"totalAmount": 123,
"currency": "<string>",
"status": "<string>",
"rfqId": "<string>",
"costSheetId": "<string>",
"costSheetVersion": 123,
"supplierId": "<string>",
"supplierName": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"createdById": "<string>",
"createdByName": "<string>",
"createdByEmail": "<string>",
"orderQuantity": 123,
"validityDate": "<string>",
"notes": "<string>",
"lineItems": [
{
"id": "<string>",
"quoteId": "<string>",
"description": "<string>",
"category": "<string>",
"quantity": 123,
"unitPrice": 123,
"amount": 123,
"quoteVersionId": "<string>",
"notes": "<string>",
"unit": "<string>",
"originalQuantity": 123,
"originalUnitPrice": 123,
"groupedItems": [
{
"key": "<string>",
"name": "<string>",
"category": "<string>",
"amount": 123,
"quantity": 123,
"unit": "<string>",
"unitPrice": 123
}
],
"createdAt": "<string>"
}
],
"stageId": "<string>",
"stageKey": "<string>",
"stageLabel": "<string>",
"activeStageId": "<string>",
"stages": [
{
"id": "<string>",
"quoteId": "<string>",
"stageKey": "<string>",
"stageLabel": "<string>",
"sortOrder": 0,
"currentVersion": 1,
"finalVersion": 123,
"status": "draft",
"totalAmount": 0,
"currency": "USD",
"costSheetVersion": 123,
"lineItems": [
{
"id": "<string>",
"quoteId": "<string>",
"description": "<string>",
"category": "<string>",
"quantity": 123,
"unitPrice": 123,
"amount": 123,
"quoteVersionId": "<string>",
"notes": "<string>",
"unit": "<string>",
"originalQuantity": 123,
"originalUnitPrice": 123,
"groupedItems": [
{
"key": "<string>",
"name": "<string>",
"category": "<string>",
"amount": 123,
"quantity": 123,
"unit": "<string>",
"unitPrice": 123
}
],
"createdAt": "<string>"
}
]
}
],
"versionId": "<string>",
"versionNumber": 1,
"currentVersion": 1,
"finalVersion": 123,
"changeDescription": "<string>",
"isFinal": false,
"finalizedAt": "<string>",
"finalizedById": "<string>",
"versionHistory": [
{
"id": "<string>",
"quoteId": "<string>",
"versionNumber": 123,
"status": "<string>",
"totalAmount": 123,
"currency": "<string>",
"changeDescription": "<string>",
"isFinal": false,
"finalizedAt": "<string>",
"finalizedById": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"picture": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Previous
Convert Quote To Sales OrderConvert an accepted quote to a sales order.
The sales order receives real SKU line items when they are supplied by the
caller. If none are supplied, the converter attempts to pull SKU/MOQ rows
from the quote's source RFQ.
Next
⌘I
Reject Quote
